<?xml version="1.0"?>
<launch>
 <!-- launching the mapping node-->
 <include file="$(find turtlebot3_slam)/launch/turtlebot3_slam.launch"> 
    <arg name="open_rviz" default="false"/> <!-- Do not open rviz with default config-->
  </include>

  <!-- opening rviz with custom config -->
  <node pkg="rviz" type="rviz" name="rviz" required="true" args="-d $(find mapping_and_navigation)/rviz_config/mapping_config.rviz"/>
</launch>